Advertisement




Edit Report

Our sensors found this exploit at: https://cxsecurity.com/ascii/WLB-2022090055

Below is a copy:

WordPress GetYourGuide Ticketing 1.0.1 Cross Site Scripting
# *Exploit Title*: WordPress Plugin GetYourGuide Ticketing  - Stored
Cross-Site Scripting
# Date: 18-09-2022
# Exploit Author: Mariam Tariq - HunterSherlock
# Vendor Homepage:
https://wordpress.org/plugins/search/GetYourGuide+Ticketing/
# Version: 1.0.1
# Tested on: Firefox
# Contact me: [email protected]

# *Vulnerable code*:

``` <input type="text" name="partner_hash" value="<?php echo $partner_hash
?>"></input> ```

# *POC*:

1- Install the plugin GetYourGuide Ticketing & activate it.
2- Navigate toward the GYG-Ticketing
3- Enter the XSS payload ` ><img src=x onerror=alert(1)>`
4- Go to link builder to verify the XSS pop-up.

#* POC image*:

https://imgur.com/amrDhIt

Copyright ©2022 Exploitalert.

All trademarks used are properties of their respective owners. By visiting this website you agree to Terms of Use.